Mcp List Hooks
GET
HTTPBearerheader
AuthorizationBearer <token>owner_node_id*Owner Node Idinclude_disabled?Include DisabledDefault
trueSuccessful Response
application/json- response
hooks*array<>[key: string]?anyExample Request
curl -X GET 'https://flywheel.paradigma.inc/api/v1/nodes/string/hooks'Example Response
{ "hooks": [ { "action_config": {}, "action_type": "string", "created_at": "string", "enabled": true, "hook_id": "string", "name": "string", "owner_node_id": "string", "rerun_policy": "if_inputs_changed", "scope": "self", "trigger_event": "artifact.finalized", "trigger_events": [ "artifact.finalized" ], "updated_at": "string", "workflow": {}, "workflow_yaml": "string" } ]}